Description

from the year 5 priorities spreadsheet  (https://goo.gl/CdX51e):  "Guides for client developers providing an overview of D1 and

libclient"

The goal is to support usage of d1_common and d1_libclient in both python and java.

Ultimate detail is api documentation (javadocs, etc.) released with the products, so we need to concentrate on mid-level practicalities

and general usage.  

see stories 3677, 953, 1001

a general breakdown:

1. download and install

2. point out javadocs, etc.

3. workflow-oriented usage:

4. implementing certificates

5. functional areas (type-marshalling, URL encoding/decoding)

(see http://mule1.dataone.org/OperationDocs/DataONE-Java-Client-Library-HowTo.html)

History

#1 - 2013-09-11 18:07 - Rob Nahf

- Start date set to 2013-09-08

- Due date set to 2013-09-21

- Target version set to 2013.37-Block.5.2

#2 - 2014-01-06 18:11 - Dave Vieglais

- Due date changed from 2013-09-21 to 2014-03-01

- Target version changed from 2013.37-Block.5.2 to 2014.8-Block.1.4

#3 - 2014-03-17 20:33 - Rob Nahf

- Due date deleted (2014-03-01)

- Target version deleted (2014.8-Block.1.4)

- Start date deleted (2013-09-08)

#4 - 2018-01-17 20:09 - Dave Vieglais

- Status changed from New to Rejected
